Package org.talend.transform.runtime.api

# Class MapExecutorImpl

java.lang.Object
org.talend.transform.runtime.api.ResourceExecutorBase<org.talend.transform.runtime.common.MapExecutor>
org.talend.transform.runtime.api.MapExecutorMidImpl
org.talend.transform.runtime.api.MapExecutorImpl

All Implemented Interfaces:
  `org.talend.transform.runtime.common.CommonExecutor`, `org.talend.transform.runtime.common.MapExecutor`, `org.talend.transform.runtime.common.MapExecutorMid<org.talend.transform.runtime.common.MapExecutor>`

public class MapExecutorImpl extends MapExecutorMidImpl implements org.talend.transform.runtime.common.MapExecutor
A Map Executor for Eclipse-based Runtime.

This must be used as a Singleton.

There is a single Runtime Engine (Eclipse) for the entire JVM.

All inputs/outputs and properties, which are not thread safe, are kept in thread indexed memory storage.

## Constructor Summary

Constructors
Constructor
Description
`MapExecutorImpl()`

## Method Summary

Modifier and Type
Method
Description
`org.talend.transform.runtime.common.MapExecutionCommand`
`createMapExecutionCommand(org.talend.transform.runtime.common.MapLocation mapLocation)`
`org.talend.transform.runtime.common.MapExecutor`
`createNew()`
`protected org.talend.transform.runtime.common.MapExecutionStatus`
`execute(org.talend.transform.runtime.common.MapExecutionCommand command)`
`protected InputStream`
`executeToStream(org.talend.transform.runtime.common.MapExecutionCommand command)`
`void`
`freeExecutionResources(org.talend.transform.runtime.common.MapExecutionCommand command)`
`boolean`
`requiresJavaOutput(org.talend.transform.runtime.common.MapExecutionCommand command)`
`MapExecutorImpl`
`self()`
`org.talend.transform.runtime.common.MapExecutor`
`setUp(String mapInstanceId, org.talend.transform.runtime.common.MapLocation mapLocation)`

### Methods inherited from class org.talend.transform.runtime.api.MapExecutorMidImpl

`cleanUp, execute, executeToStream, freeExecutionResources, getLastExecutionStatus, setExecutionProperties, setObjectResult, setObjectResult, setObjectSource, setResult, setResults, setSource, setSources`

### Methods inherited from class org.talend.transform.runtime.api.ResourceExecutorBase

`getExceptionThreshold, getInitialProjectName, getMessage, getProjectSet, getRuntimeEngine, getSetupProjectName, isDSQLRuntime, isEclipseRuntime, isStandardRuntime, setExceptionThreshold, setLoggingLevel, setLoggingLevel, setupProjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.talend.transform.runtime.common.CommonExecutor

`cleanUp, isDSQLRuntime, isEclipseRuntime, isStandardRuntime, setExceptionThreshold, setLoggingLevel, setLoggingLevel`

### Methods inherited from interface org.talend.transform.runtime.common.MapExecutorMid

`execute, executeToStream, freeExecutionResources, getLastExecutionStatus, setExecutionProperties, setObjectResult, setObjectResult, setObjectSource, setResult, setResults, setSource, setSources`

## Constructor Details

### MapExecutorImpl

public MapExecutorImpl()

## Method Details

### setUp

public org.talend.transform.runtime.common.MapExecutor setUp(String mapInstanceId, org.talend.transform.runtime.common.MapLocation mapLocation) throws org.talend.transform.runtime.common.MapConfigurationException

Specified by:
  `setUp` in interface `org.talend.transform.runtime.common.MapExecutor`
Overrides:
  `setUp` in class `MapExecutorMidImpl`
Throws:
  `org.talend.transform.runtime.common.MapConfigurationException`

### createMapExecutionCommand

public org.talend.transform.runtime.common.MapExecutionCommand createMapExecutionCommand(org.talend.transform.runtime.common.MapLocation mapLocation)

Specified by:
  `createMapExecutionCommand` in interface `org.talend.transform.runtime.common.MapExecutor`

### execute

protected org.talend.transform.runtime.common.MapExecutionStatus execute(org.talend.transform.runtime.common.MapExecutionCommand command) throws org.talend.transform.runtime.common.MapConfigurationException, org.talend.transform.runtime.common.MapExecutionException

Throws:
  `org.talend.transform.runtime.common.MapConfigurationException`
  `org.talend.transform.runtime.common.MapExecutionException`

### executeToStream

protected InputStream executeToStream(org.talend.transform.runtime.common.MapExecutionCommand command) throws org.talend.transform.runtime.common.MapConfigurationException

Throws:
  `org.talend.transform.runtime.common.MapConfigurationException`

### freeExecutionResources

public void freeExecutionResources(org.talend.transform.runtime.common.MapExecutionCommand command)

### requiresJavaOutput

public boolean requiresJavaOutput(org.talend.transform.runtime.common.MapExecutionCommand command)

### self

public MapExecutorImpl self()

Specified by:
  `self` in class `ResourceExecutorBase<org.talend.transform.runtime.common.MapExecutor>`

### createNew

public org.talend.transform.runtime.common.MapExecutor createNew()

Specified by:
  `createNew` in interface `org.talend.transform.runtime.common.MapExecutor`